Zum Hauptinhalt springen
POST
/
files
/
v3
/
folders
/
update
/
async
Update folder properties
curl --request POST \
  --url https://api.hubapi.com/files/v3/folders/update/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "parentFolderId": 123
}
'
{
  "id": "57122e26-59f8-4cfc-ba53-96e30c816762",
  "links": [
    {
      "status": "https://api.hubspot.com/files/v3/folders/update/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
    }
  ]
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
id
string
erforderlich

The unique identifier of the folder to be updated.

name
string

New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.

parentFolderId
integer<int64>

New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.

Antwort

accepted

Information on the task that has been started, and where to check it's status.

id
string
erforderlich

ID of the task

Links for where to check information related to the task. The status link gives the URL for where to check the status of the task.

Last modified on April 9, 2026